import inputData from '../data/inputData';
import verification from '$utils/verification';
import {InstructionsMessageType} from "$utils/request";
export default <LibMixins>{

    data(){
        return {
            inputData: inputData()
        }
    },

    methods:{

        submit(callback){
            return verification.verificationPromise(this.inputData,true).then((data)=>{
                data.oid = this.oid;
                data.uid = this.uid;
                data.pid = this.pid;
                data.gid = this.gid;
                this.$request({
                    url:'player/evaluate_order',
                    data,
                    token:true
                });
            });
        }

    }

}
